## config.rb

###### 各種設定 ######

module WMMC

	class Config

		def initialize(conf)
			conf.default = nil
			@userid = nil
			@userid = conf[:userid].to_s unless conf[:userid].to_s == ''
			@userpass = nil
			@userpass = conf[:userpass].to_s unless conf[:userpass].to_s == ''
			@usernick = nil
			@usernick = conf[:usernick].to_s unless conf[:usernick].to_s == ''
			@refresh = 30
			@refresh = conf[:refresh].to_i if conf[:refresh].to_i > 0
			@logsavenum = 100
			@logsavenum = conf[:logsavenum].to_i if conf[:logsavenum].to_i > 0
			@logdir = nil
			@logdir = conf[:logdir].to_s unless conf[:logdir].to_s == ''
		end

		attr_reader :userid, :userpass, :usernick, :refresh, :logsavenum, :logdir

	end

end
